<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [Singularity](./bitburner.singularity.md) &gt; [getCompanyFavorGain](./bitburner.singularity.getcompanyfavorgain.md)

## Singularity.getCompanyFavorGain() method

Get company favor gain.

<b>Signature:</b>

```typescript
getCompanyFavorGain(companyName: string): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  companyName | string | Name of the company. |

<b>Returns:</b>

number

Amount of favor you gain at the specified company when you reset by installing Augmentations.

## Remarks

RAM cost: 0.75 GB \* 16/4/1

This function will return the amount of favor you will gain for the specified company when you reset by installing Augmentations.

